Subject: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Apr 2022 17:23:49 +0300

> Date: Mon, 18 Apr 2022 14:19:24 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> I've changed my mind about on the Mac. The hex code isn't centred, but
> it is readable.
> 
> I found a couple of bugs in nsfont.m, which is the GNUstep font
> backend, and now the only problem is that the upper and lower text are
> drawn in almost the same location. I suspect some error in how the
> font backend is calculating the ascent and descent or something. I
> don't see what's wrong, though.
> 
> Screenshot for GNUstep attached. In this example upper_yoff and
> lower_yoff are -14 and -13, respectively.

If the y offsets are wrong, you should step through
produce_glyphless_glyph, where they are calculated.